Draft Array/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "== Descriere == Instrumentul Array creează o matrice ortogonală (3-axe) sau polară dintr-un obiect selectat. Dacă nu este selectat niciun obiect, veți fi invitat să sele...")
(Created page with "== Cum se utilizează == # Selectați un obiect cu care doriți să faceți o matrice # Apăsați tasta {{KEY | 16px Array de Proiect}} #...")
Line 7: Line 7:
[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]


== Cum se utilizează ==
==How to use==
# Selectați un obiect cu care doriți să faceți o matrice
# Select an object you wish to make an array with
# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Apăsați tasta {{KEY | [[Imagine: Schiță Array.png | 16px]] [[Array de Proiect]]}}
# Select {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
# Selectați {{PropertyData | Array Type}}: Specifică tipul matricei, orto sau polar
# Pentru matrice ortogonale:
# For orthogonal arrays:
## {{PropertyData|Interval X}}: The interval between each copy on the first axis
## {{PropertyData | Interval X}}: Intervalul dintre fiecare copie pe prima axă
## {{PropertyData|Interval Y}}: The interval between each copy on the second axis
## {{PropertyData | Interval Y}}: Intervalul dintre fiecare copie pe a doua axă
## {{PropertyData|Interval Z}}: The interval between each copy on the third axis
## {{PropertyData | Interval Z}}: Intervalul dintre fiecare copie pe a treia axă
## {{PropertyData|Number X}}: The number of copies on the first axis
## {{PropertyData | Număr X}}: Numărul de copii pe prima axă
## {{PropertyData|Number Y}}: The number of copies on the second axis
## {{PropertyData | Număr Y}}: numărul de copii pe a doua axă
## {{PropertyData|Number Z}}: The number of copies on the third axis
## {{PropertyData | Număr Z}}: Numărul de copii pe a treia axă
# Pentru tablouri polare:
# For polar arrays:
## {{PropertyData|Axis}}: The normal direction of the array circle
## {{PropertyData | Axis}}: Direcția normală a cercului matricei
## {{PropertyData|Center}}: The center point of the array
# {{PropertyData | Center}}: Punctul central al matricei
## {{PropertyData|Angle}}: The angle to cover with copies
# {{PropertyData | Angle}}: Unghiul de acoperire cu copii
## {{PropertyData|Number Polar}}: The number of copies
# {{PropertyData | Număr Polar}}: Numărul de copii


==Scripting==
==Scripting==

Revision as of 09:31, 16 November 2018

Draft Array

Menu location
Draft → Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
PathArray

Descriere

Instrumentul Array creează o matrice ortogonală (3-axe) sau polară dintr-un obiect selectat. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

Cum se utilizează

  1. Selectați un obiect cu care doriți să faceți o matrice
  2. Apăsați tasta 16px Array de Proiect
  3. Selectați Date Array Type: Specifică tipul matricei, orto sau polar
  4. Pentru matrice ortogonale:
    1. Date Interval X: Intervalul dintre fiecare copie pe prima axă
    2. Date Interval Y: Intervalul dintre fiecare copie pe a doua axă
    3. Date Interval Z: Intervalul dintre fiecare copie pe a treia axă
    4. Date Număr X: Numărul de copii pe prima axă
    5. Date Număr Y: numărul de copii pe a doua axă
    6. Date Număr Z: Numărul de copii pe a treia axă
  5. Pentru tablouri polare:
    1. Date Axis: Direcția normală a cercului matricei
  6. Date Center: Punctul central al matricei
  7. Date Angle: Unghiul de acoperire cu copii
  8. Date Număr Polar: Numărul de copii

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum)
array (objectslist,xvector,yvector,zvector,xnum,ynum,znum)

For polar array:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum, and same for z direction with zvector and znum if that version is used. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

For rectangular array:

makeArray (object,xvector,yvector,xnum,ynum,[name])
makeArray (object,xvector,yvector,zvector,xnum,ynum,znum,[name])

For polar array:

makeArray (object,center,totalangle,totalnum,[name])
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum, and for zvector and znum if that version is used. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)